## tdebase-trinity 14.2.0~pre650

=== kcontrol/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME smartcard is not ported

if( BUILD_KCONTROL OR BUILD_KDESKTOP OR BUILD_TDM )

  add_subdirectory( background )

endif( )


if( BUILD_KCONTROL )

  include( ConfigureChecks.cmake )

  add_subdirectory( kcontrol )
  add_subdirectory( pics )
  add_subdirectory( bell )
  add_subdirectory( dnssd )
  add_subdirectory( filetypes )
  add_subdirectory( krdb )
  add_subdirectory( input )
  add_subdirectory( kicker )
  add_subdirectory( info )
  add_subdirectory( locale )
  add_subdirectory( clock )
  add_subdirectory( kded )
  add_subdirectory( launch )
  add_subdirectory( keys )
  add_subdirectory( tdm )
  add_subdirectory( tdeio )
  add_subdirectory( konq )
  add_subdirectory( style )
  add_subdirectory( konqhtml )
  add_subdirectory( ebrowsing )
  add_subdirectory( arts )
  add_subdirectory( knotify )
  add_subdirectory( colors )
  add_subdirectory( fonts )
  add_subdirectory( energy )
  add_subdirectory( css )
  add_subdirectory( icons )
  add_subdirectory( screensaver )
  add_subdirectory( taskbar )
  add_subdirectory( crypto )
  add_subdirectory( privacy )
  add_subdirectory( smserver )
  add_subdirectory( konsole )
  add_subdirectory( spellchecking )
  add_subdirectory( componentchooser )
  add_subdirectory( nics )
  add_subdirectory( performance )
  add_subdirectory( xinerama )
  add_subdirectory( display )
  add_subdirectory( kthememanager )
  add_subdirectory( tdefontinst )
  add_subdirectory( access )

  tde_conditional_add_subdirectory( WITH_XRANDR displayconfig )
  tde_conditional_add_subdirectory( WITH_TDEHWLIB hwmanager )
  tde_conditional_add_subdirectory( WITH_SAMBA samba )
  tde_conditional_add_subdirectory( WITH_XRANDR randr )
  tde_conditional_add_subdirectory( WITH_LIBRAW1394 view1394 )

  if( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
    tde_conditional_add_subdirectory( WITH_XRANDR iccconfig )
    add_subdirectory( joystick )
  endif( )

  if( ${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD|NetBSD" )
    add_subdirectory( usbview )
  endif( )

endif( )

=== kfind/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( NOT BUILD_LIBKONQ )
  include( "${TDE_CMAKE_DIR}/libkonq.cmake" )
endif( NOT BUILD_LIBKONQ )

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libkonq
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kfind )
tde_create_translated_desktop(
  SOURCE Kfind.desktop
  PO_DIR kfind-desktops
)
tde_create_translated_desktop(
  SOURCE kfindpart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kfind-desktops
)
tde_create_translated_desktop(
  SOURCE findpart.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR kfind-desktops
)


##### libkfindpart (module) #####################

tde_add_kpart( libkfindpart AUTOMOC
  SOURCES kfindpart.cpp
  LINK kfind_common-static konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kfind (executable) ######################

tde_add_executable( kfind AUTOMOC
  SOURCES kfwin.cpp kfinddlg.cpp main.cpp
  LINK kfind_common-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kfind_common (static) #####################

tde_add_library( kfind_common STATIC_PIC AUTOMOC
  SOURCES kftabdlg.cpp kfind.cpp kquery.cpp kdatecombo.cpp
  LINK tdeparts-shared
)

=== ktip/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )
tde_create_translated_desktop( ktip.desktop )
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/ktip.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR}
)
install( FILES uninstall.desktop DESTINATION ${APPS_INSTALL_DIR}/Toys RENAME ktip.desktop )
install( FILES tips DESTINATION ${DATA_INSTALL_DIR}/tdewizard )


##### ktip (executable) #########################

tde_add_executable( ktip AUTOMOC
  SOURCES ktipwindow.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== tdedebugdialog/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdedebugdialog (executable) #################

tde_add_executable( tdedebugdialog AUTOMOC
  SOURCES
    main.cpp kabstractdebugdialog.cpp tdedebugdialog.cpp
    tdelistdebugdialog.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== tsak/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tsak (executable) #######################

tde_add_executable( tsak
  SOURCES main.cpp
  LINK ${UDEV_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)

=== doc/khelpcenter/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION khelpcenter )

tde_auto_add_subdirectories()

=== doc/konqueror/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION konqueror )

=== doc/konsole/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION konsole )

=== doc/tdeioslave/CMakeLists.txt ===
#################################################
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_auto_add_subdirectories()

=== doc/tdeprint/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION tdeprint )

=== kappfinder/apps/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  (C) 2020 Slávek Banko
#  slavek.banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

file( GLOB_RECURSE _desktops RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.desktop )
list( SORT _desktops )

foreach( _desktop IN LISTS _desktops )
  get_filename_component( _category ${_desktop} PATH )
  tde_create_translated_desktop(
    SOURCE ${_desktop}
    DESTINATION ${DATA_INSTALL_DIR}/kappfinder/apps/${_category}
    PO_DIR kappfinder-data
  )
endforeach()

=== kate/interfaces/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### headers ###################################

install( FILES
    application.h documentmanager.h mainwindow.h
    plugin.h viewmanager.h pluginconfiginterface.h
    pluginconfiginterfaceextension.h toolviewmanager.h
    pluginmanager.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kate )


##### kateinterfacesprivate (static lib) ########

set( target kateinterfacesprivate )

set( ${target}_SRCS
  application.cpp mainwindow.cpp documentmanager.cpp
  viewmanager.cpp toolviewmanager.cpp pluginmanager.cpp
  plugin.cpp pluginconfiginterface.cpp
  pluginconfiginterfaceextension.cpp
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK katepartinterfaces-shared
)

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre650-0ubuntu24.10.0+35) oracular; urgency=low

  * Automated git build for f49d49cec5ebe9c06b46083a275a39b517f8aa75
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 08 Nov 2025 14:14:32 +0100

=== debian/control ===
Source: tdebase-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Modestas Vainius <geromanas@mailas.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, init, libtirpc-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, xscreensaver, xscreensaver-data, xscreensaver-data-extra, rss-glx, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xkb-data, xutils, texinfo, htdig, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, libogg-dev, libavahi-tqt-dev, udev, libudev-dev, libdbus-1-dev, libconfig-dev, libart-2.0-dev (>= 4:14.0.0~), libssl-dev, libssh-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, tdelibs14-trinity-doc
Build-Conflicts: nvidia-glx (<< 1.0.8774-6)
Standards-Version: 3.8.4

Package: tdebase-trinity
Section: tde
Architecture: all
Replaces: kdebase-kde3 (<< 4:14.0.0~), kdebase-trinity (<< 4:14.0.0~)
Breaks: kdebase-kde3 (<< 4:14.0.0~), kdebase-trinity (<< 4:14.0.0~)
Depends: kappfinder-trinity (>= ${source:Version}), kate-trinity (>= ${source:Version}), kcontrol-trinity (>= ${source:Version}), tdebase-trinity-bin (>= ${source:Version}), tdebase-data-trinity (>= ${source:Version}), tdebase-tdeio-plugins-trinity (>= ${source:Version}), tdepasswd-trinity (>= ${source:Version}), tdeprint-trinity (>= ${source:Version}), kdesktop-trinity (>= ${source:Version}), kfind-trinity (>= ${source:Version}), khelpcenter-trinity (>= ${source:Version}), kicker-trinity (>= ${source:Version}), klipper-trinity (>= ${source:Version}), kmenuedit-trinity (>= ${source:Version}), konqueror-nsplugins-trinity (>= ${source:Version}), konqueror-trinity (>= ${source:Version}), konsole-trinity (>= ${source:Version}), kpager-trinity (>= ${source:Version}), kpersonalizer-trinity (>= ${source:Version}), ksmserver-trinity (>= ${source:Version}), ksplash-trinity (>= ${source:Version}), ksysguard-trinity (>= ${source:Version}), ktip-trinity (>= ${source:Version}), twin-trinity (>= ${source:Version}), libkonq4-trinity (>= ${source:Version}), xcalib | argyll
Recommends: tdm-trinity (>= ${source:Version}), tdebase-runtime-data-common-trinity, libtqt3-integration-trinity
Suggests: tdebase-trinity-doc-html (>= ${source:Version})
Description: base components from the official TDE release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the nucleus of TDE, namely the minimal package
 set necessary to run TDE as a desktop environment. This includes the
 window manager, taskbar, control center, a text editor, file manager,
 web browser, X terminal emulator, and many other programs and components.

Package: tdebase-runtime-data-common-trinity
Section: tde
Architecture: all
Replaces: kdebase-runtime-data-common-kde3 (<< 4:14.0.0~), kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Breaks: kdebase-runtime-data-common-kde3 (<< 4:14.0.0~), kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Description: Shared common files for Trinity and KDE4
 .
 Shared common files for both Trinity and KDE4
 Such as the desktop right-click-"Create New" list

Package: kappfinder-trinity
Section: tde
Architecture: any
Replaces: kappfinder-kde3 (<< 4:14.0.0~), kappfinder-trinity (<< 4:14.0.0~)
Breaks: kappfinder-kde3 (<< 4:14.0.0~), kappfinder-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: non-TDE application finder for TDE
 kappfinder searches your workstation for many common applications and
 creates menu entries for them.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kate-trinity
Section: editors
Architecture: any
Replaces: kate-kde3 (<< 4:14.0.0~), kate-trinity (<< 4:14.0.0~)
Breaks: kate-kde3 (<< 4:14.0.0~), kate-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kregexpeditor-trinity
Suggests: aspell | ispell | hspell, kate-plugins-trinity, khelpcenter-trinity, konsole-trinity
Description: advanced text editor for TDE
 Kate is a multi document editor, based on a rewritten version of the kwrite
 editing widget of TDE.
 .
 It is a multi-view editor that lets you view several instances of the same
 document with all instances being synced, or view more files at the same
 time for easy reference or simultaneous editing. The terminal emulation
 and sidebar are docked windows that can be plugged out of the main window,
 or replaced therein according to your preference.
 .
 Some random features:
 .
  * Editing of big files
  * Extensible syntax highlighting
  * Folding
  * Dynamic word wrap
  * Selectable encoding
  * Filter command
  * Global grep dialog
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kcontrol-trinity
Section: tde
Architecture: any
Replaces: kcontrol-kde3 (<< 4:14.0.0~), kcontrol-trinity (<< 4:14.0.0~)
Breaks: kcontrol-kde3 (<< 4:14.0.0~), kcontrol-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdebase-data-trinity (>> ${TDE-Version3}~), tdebase-data-trinity (<< ${TDE-Next-Version3}~), tdebase-runtime-data-common-trinity, usbutils
Recommends: udev
Suggests: khelpcenter-trinity, ntpdate | ntp-simple
Conflicts: tdebase-libs-trinity (<< 4:3.0.0)
Description: control center for TDE
 The Trinity Control Center provides you with a centralized and convenient
 way to configure all of your TDE settings.
 .
 It is made up of multiple modules. Each module is a separate application,
 but the control center organizes all of these programs into a convenient
 location.
 .
 In combination with udev KControl supports the advanced
 configuration of Logitech mice, though the user must be a member of the
 plugdev group.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-bin
Section: tde
Architecture: any
Replaces: kdebase-kde3-bin (<< 4:14.0.0~), kdebase-trinity-bin (<< 4:14.0.0~)
Breaks: kdebase-kde3-bin (<< 4:14.0.0~), kdebase-trinity-bin (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Suggests: khelpcenter-trinity, gdb
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), tdm-trinity (<< 4:3.4.1-2), tdebase-workspace-data-trinity (<< 7:3.5.0)
Description: core binaries for the TDE base module
 This package contains miscellaneous programs needed by other
 TDE applications, particularly those in the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-data-trinity
Section: tde
Architecture: all
Replaces: kdebase-data-kde3 (<< 4:14.0.0~), kdebase-data-trinity (<< 4:14.0.0~)
Breaks: kdebase-data-kde3 (<< 4:14.0.0~), kdebase-data-trinity (<< 4:14.0.0~)
Conflicts: kcontrol-trinity (<< 4:3.4.2-1), twin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1), kdf-trinity (<< 4:14.0.6~)
Description: shared data files for the TDE base module
 This package contains the architecture-independent shared data files
 needed for a basic Trinity desktop installation.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-dev
Section: devel
Architecture: any
Replaces: kdebase-kde3-dev (<< 4:14.0.0~), kdebase-trinity-dev (<< 4:14.0.0~)
Breaks: kdebase-kde3-dev (<< 4:14.0.0~), kdebase-trinity-dev (<< 4:14.0.0~)
Depends: kate-trinity (= ${source:Version}), kcontrol-trinity (= ${source:Version}), tdebase-trinity-bin (= ${source:Version}), tdeprint-trinity (= ${source:Version}), kdesktop-trinity (= ${source:Version}), khelpcenter-trinity (= ${source:Version}), kicker-trinity (= ${source:Version}), klipper-trinity (= ${source:Version}), kmenuedit-trinity (= ${source:Version}), konqueror-nsplugins-trinity (= ${source:Version}), konqueror-trinity (= ${source:Version}), konsole-trinity (= ${source:Version}), ksmserver-trinity (= ${source:Version}), ksplash-trinity (= ${source:Version}), ksysguard-trinity (= ${source:Version}), twin-trinity (= ${source:Version}), tdelibs14-trinity-dev
Description: development files for the TDE base module
 This package contains headers and other development files needed to
 compile software based on the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc
Section: doc
Architecture: all
Replaces: kdebase-kde3-doc (<< 4:14.0.0~), kdebase-trinity-doc (<< 4:14.0.0~)
Breaks: kdebase-kde3-doc (<< 4:14.0.0~), kdebase-trinity-doc (<< 4:14.0.0~)
Description: developer documentation for the TDE base module
 This package contains documentation for the TDE base module, of
 use more for developers creating applications than regular users.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdebase-kde3-doc-html (<< 4:14.0.0~), kdebase-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdebase-kde3-doc-html (<< 4:14.0.0~), kdebase-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: TDE base documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE base documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kate/. Documentation is provided for most
 TDE base packages.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdebase-kio-plugins-kde3 (<< 4:14.0.0~), kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdebase-kio-plugins-kde3 (<< 4:14.0.0~), kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kdesktop-trinity, libsasl2-modules, psmisc, man-db (>= 2.5.1-1)
Recommends: udisks2 | udisks | pmount, cryptsetup, kamera-trinity, tdebase-tdeio-smb-trinity, tdemultimedia-tdeio-plugins-trinity
Suggests: khelpcenter-trinity, mtools
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), mediamanager, konq-plugins-trinity (<< 4:14.1.0~), konqueror-trinity (<< 4:14.1.0~)
Description: core I/O slaves for TDE
 This package includes the base tdeioslaves. They include, amongst many
 others, file, http, ftp, smtp, pop and imap.
 .
 It also includes the media tdeioslave, which handles removable devices,
 and which works best with procfs, udev, and udisks2/udisks/pmount. Media
 also extends the functionality of many other tdeioslaves. To use this
 service, please make sure that your user is a member of the plugdev
 group.
 .
 This package is part of TDE, and a component of the TDE base module.

## tdebase-trinity 14.2.0~pre654

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre654-0debian14.0.0+33~a) forky; urgency=low

  * Automated git build for 3ae8950abe987cc4e3a0b627102cfc43ad4608af
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 26 Nov 2025 10:33:53 +0100

## tdebase-trinity 14.2.0~pre656

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre656-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for da268e0096de2dbe2e03ff39ef9e64b260258d0b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 12:41:41 +0100

## tdebase-trinity 14.2.0~pre661

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre661-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 9f7c5ac83dda02d33fb101b560a46f12c4630a30
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:11:41 +0100

## tdebase-trinity 14.2.0~pre662

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre662-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for e2bdf9f27937fd28127ad840077ed2c87449ba7d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 27 Dec 2025 16:00:53 +0100

## tdebase-trinity 14.2.0~pre664

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre664-0ubuntu24.10.0+36) oracular; urgency=low

  * Automated git build for 797db50eff718cfbbf698adc868d56c63cadb76e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:11:58 +0100

## tdebase-trinity 14.2.0~pre675

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre675-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for e6c30469e4c7a09517a493ede0e4fcb3a00372f6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 07 Jan 2026 23:36:09 +0100

## tdebase-trinity 14.2.0~pre679

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre679-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for a433105e8dbba2231fb611d4514f9c66f0e99494
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Jan 2026 11:32:14 +0100

## tdebase-trinity 14.2.0~pre680

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre680-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 2bfd51f24b57f70a5a0a6df0312a25bf4fc599d2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 19 Jan 2026 15:47:28 +0100

## tdebase-trinity 14.2.0~pre687

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre687-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 611d3ad10359d515b4210eb1ee3032c0cacec7e2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 09 Feb 2026 01:55:35 +0100

## tdebase-trinity 14.2.0~pre688

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre688-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 19d67b5bbe39b9ea04fd9f589049cc08ef48dbca
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 11 Feb 2026 09:49:23 +0100

## tdebase-trinity 14.2.0~pre706

=== kicker/applets/minipager/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kicker/taskmanager
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE minipagerapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR kicker-desktops
)
install( FILES pagersettings.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

##### minipager_panelapplet (module) ############

set( target minipager_panelapplet )

set( ${target}_SRCS
  pagerapplet.cpp pagerbutton.cpp pagersettings.kcfgc
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK taskmanager-shared kickermain-shared
  DEPENDENCIES kicker+libkicker+kickerSettings.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kicker/applets/systemtray/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/kicker/applets/clock
  ${CMAKE_SOURCE_DIR}/kicker/applets/clock
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kicker/applets/clock
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE systemtrayapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR kicker-desktops
)


##### systemtray_panelapplet (module) ###########

set( target systemtray_panelapplet )

set( ${target}_SRCS
  systemtrayapplet.cpp systemtrayapplet.skel
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kickermain-shared clock_panelapplet-static
  DEPENDENCIES kicker_core-static clock_panelapplet-static kicker+libkicker+kickerSettings.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kicker/kicker/ui/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/kicker/core
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/kicker/core
  ${CMAKE_SOURCE_DIR}/kicker/kicker/buttons
  ${CMAKE_SOURCE_DIR}/tdmlib
  ${CMAKE_SOURCE_DIR}/libkonq
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES default-favs DESTINATION ${DATA_INSTALL_DIR}/kicker )


##### kicker_ui (static) ########################

set( target kicker_ui )

set( ${target}_SRCS
  addbutton_mnu.cpp appletitem.ui appletview.ui addapplet.cpp
  addapplet_mnu.cpp appletop_mnu.cpp browser_mnu.cpp
  client_mnu.cpp dirdrop_mnu.cpp nonKDEButtonSettings.ui
  exe_dlg.cpp k_new_mnu.cpp k_mnu.cpp k_mnu.skel quickbrowser_mnu.cpp
  service_mnu.cpp kmenuitembase.ui addextension_mnu.cpp
  extensionop_mnu.cpp k_mnu_stub.cpp recentapps.cpp
  browser_dlg.cpp itemview.cpp kickoff_bar.cpp removeapplet_mnu.cpp
  removeextension_mnu.cpp removecontainer_mnu.cpp removebutton_mnu.cpp
  popupmenutitle.cpp hidebutton.cpp popupmenutop.cpp addappletvisualfeedback.cpp
  clicklineedit.cpp flipscrollview.cpp media_watcher.cpp
  media_watcher.skel mykickoffsearchinterface.cpp query.cpp
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
  DEPENDENCIES kicker_core-static kicker+libkicker+kickerSettings.cpp
  LINK dmctl-static kickoffsearch_interfaces-shared ${TDEHW_LIBRARIES}
)

=== kicker/menuext/prefmenu/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE prefmenu.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/menuext
  PO_DIR kicker-desktops
)


##### kickermenu_prefmenu (module) ##############

tde_add_kpart( kickermenu_prefmenu AUTOMOC
  SOURCES prefmenu.cpp
  LINK kickermain-shared tdeui-shared
  DEPENDENCIES kicker+libkicker+kickerSettings.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre706-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 69126986b785ab124456266e63331bf230358fba
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 19 Feb 2026 10:00:27 +0100

## tdebase-trinity 14.2.0~pre714

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre714-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 7cb5d96dd439bb7b88f9678e8b095c57fcf40a75
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Feb 2026 19:51:37 +0100

## tdebase-trinity 14.2.0~pre715

=== khelpcenter/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( khelpcenter )

=== kicker/extensions/taskbar/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/taskbar
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE taskbarextension.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/extensions
  PO_DIR kicker-desktops
)


##### taskbar_panelextension (module) ###########

set( target taskbar_panelextension )

set( ${target}_SRCS
  taskbarextension.cpp taskbarextension.skel
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kickermain-shared taskmanager-shared taskbar-shared
  DEPENDENCIES kicker+libkicker+kickerSettings.cpp
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kicker/kicker/buttons/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kicker/libkicker
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kicker/libkicker
  ${CMAKE_SOURCE_DIR}/kicker/kicker/core
  ${CMAKE_SOURCE_DIR}/kicker/kicker/ui
  ${CMAKE_SOURCE_DIR}/libkonq
  ${DBUS_TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE
    bookmarks.desktop browser.desktop desktop.desktop
    exec.desktop kmenu.desktop windowlist.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/builtins
  PO_DIR kicker-desktops
)


##### kicker_buttons (static) ###################

set( target kicker_buttons )

set( ${target}_SRCS
  servicebutton.cpp bookmarksbutton.cpp browserbutton.cpp
  knewbutton.cpp desktopbutton.cpp extensionbutton.cpp
  kbutton.cpp nontdeappbutton.cpp servicemenubutton.cpp
  urlbutton.cpp windowlistbutton.cpp
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
  DEPENDENCIES kicker_core-static kicker+libkicker+kickerSettings.cpp
)

=== debian/changelog ===
tdebase-trinity (4:14.2.0~pre715-0ubuntu26.04.0+36~a) resolute; urgency=low

  * Automated git build for 363de72d1cbdf64fe99afa9d61fbb98d103f8fbb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 12:32:45 +0100
